Author Topic: SlickEdit Pro 2021 (v26.0.1.0 64-bit Qt5) fails to start under WSL  (Read 139 times)

JosephGay

  • New Community Member
  • Posts: 2
  • Hero Points: 0
I'm running WSL with Ubuntu 20.04 and when I try to start it I get a message saying: 'C:\Program Files\Slickedit Pro 26.0.1\vslick.sta' is not recognized as a compatible state file or pcode file.

I can run vs from the Windows command line and it works.  v25.0.1 runs in both environments just fine.

I've tried erasing the config directory as suggested in other posts but I get the same results. I have the latest hot fix installed.

Not sure what to try next.
 

patrick

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 1682
  • Hero Points: 142
Re: SlickEdit Pro 2021 (v26.0.1.0 64-bit Qt5) fails to start under WSL
« Reply #1 on: May 13, 2022, 02:50:50 pm »
That error message refers to a state file from a Windows install.  If you're running the linux version from WSL, I wouldn't expect it to have a reference to a windows state file, unless there's something in an environment var or the invocation options that's modifying our default paths.

Things to check in your WSL session:

What is the command you're using to start the linux version of SlickEdit?  If you're not already specifying the full path, does it work if you do specify a full path to the "vs" executable?

Is the VSLICK environment variable set to anything, and if so, what is it set to?

Are there any environment variables set that have "SLICK" in the name?


JosephGay

  • New Community Member
  • Posts: 2
  • Hero Points: 0
Re: SlickEdit Pro 2021 (v26.0.1.0 64-bit Qt5) fails to start under WSL
« Reply #2 on: May 16, 2022, 11:31:10 am »
Patrick - Thank you for the debug ideas.  I was able to determine that I had an alias defined for 'vs' that was pointing to the the v25.0.1 version.  That was what was giving me the error.  I updated it to point the the v26.0.1 install and everything is working again.

Thank you very much for the assistance.